Subject: concierge order
From: Gelna Genosolango <[email-masked]>
To: subir <[email-masked]>
Date: Sat, 10 Oct 2015 07:04:17 +0530 (IST)

Concierge order no# 128985 
Suite number 0802-7561 

Hi Subir sir, 

I can't place the order. When I hit the Place Order button, an error message appeared: There's a problem with your order, please contact support. 

I see an order placed with this merchant last 4thof October. When I contacted their support they advse that if the Shipping and Billing Address mismatch, order will not go thru. When I asked them why the previous order went through when the addresses were mismatch,they said if an order is placed using a VPN or Proxy, it won't go thru. I told them, the previous order was thru Proxy as well and they said to contact the bank. 

Please have someone from there tried to place this order. I have no issue placing an order with the other website. 

The previous order is order #HUAWEI01227565 

Regards, 
Gelna